<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
only_level(4);

$set['title']='Восстановление привилегий'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();


if (isset($_GET['ok']) && isset($_POST['accept']))
{
mysql_query('TRUNCATE TABLE `user_acсess`'); // удаление всех привилегий


$q=mysql_query("SELECT `id`,`level` FROM `user`");
while ($ank = mysql_fetch_array($q))
{
$q2=mysql_query("SELECT `type` FROM `accesses` WHERE `level` <= '$ank[level]'");
while ($ank2 = mysql_fetch_array($q2))
{
mysql_query("INSERT INTO `user_acсess` (`id_user`, `type`) VALUES ('$ank[id]','$ank2[type]')");
}
}
mysql_query('OPTIMIZE TABLE `user_acсess`'); // оптимизация таблицы
msg('Все привилегии установлены в соответствии со статусом');
}
else
$err='Все привилегии будут установлены в соответствии со статусом пользователя';

err();
echo "<form method=\"post\" action=\"?ok\">\n";

echo "<input value=\"Применить\" name='accept' type=\"submit\" />\n";
echo "</form>\n";

echo "* В зависимости от количества пользователей, данное действие может занять длительное время.<br />\n";
echo "** Рекомендуется использовать только в крайних случаях или при обновлении движка<br />\n";
echo "<div class='foot'>\n";
echo "&laquo;<a href='index.php'>Админка</a><br />";
echo "</div>\n";
include_once '../sys/inc/tfoot.php';
?>
